Package org.apache.calcite.avatica.util

# Class AbstractCursor.ArrayAccessor

java.lang.Object
org.apache.calcite.avatica.util.AbstractCursor.ArrayAccessor

All Implemented Interfaces:
  `Cursor.Accessor`

Enclosing class:
  AbstractCursor

public static class AbstractCursor.ArrayAccessor extends Object
Accessor that assumes that the underlying value is an ARRAY; corresponds to `Types.ARRAY`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final AbstractCursor.Getter`
`getter`

## Constructor Summary

Constructors
Constructor
Description
`ArrayAccessor(AbstractCursor.Getter getter, ColumnMetaData.AvaticaType componentType, Cursor.Accessor componentAccessor, AbstractCursor.SlotGetter componentSlotGetter, ArrayImpl.Factory factory)`

## Method Summary

Modifier and Type
Method
Description
`Array`
`getArray()`
`InputStream`
`getAsciiStream()`
`BigDecimal`
`getBigDecimal()`
`BigDecimal`
`getBigDecimal(int scale)`
`InputStream`
`getBinaryStream()`
`Blob`
`getBlob()`
`boolean`
`getBoolean()`
`byte`
`getByte()`
`byte[]`
`getBytes()`
`Reader`
`getCharacterStream()`
`Clob`
`getClob()`
`Date`
`getDate(Calendar calendar)`
`double`
`getDouble()`
`float`
`getFloat()`
`int`
`getInt()`
`long`
`getLong()`
`Reader`
`getNCharacterStream()`
`NClob`
`getNClob()`
`String`
`getNString()`
`Object`
`getObject()`
`<T> T`
`getObject(Class<T> type)`
`Object`
`getObject(Map<String,Class<?>> map)`
`Ref`
`getRef()`
`short`
`getShort()`
`SQLXML`
`getSQLXML()`
`String`
`getString()`
`Struct`
`getStruct()`
`Time`
`getTime(Calendar calendar)`
`Timestamp`
`getTimestamp(Calendar calendar)`
`InputStream`
`getUnicodeStream()`
`URL`
`getURL()`
`boolean`
`wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### getter

protected final AbstractCursor.Getter getter

## Constructor Details

### ArrayAccessor

public ArrayAccessor(AbstractCursor.Getter getter, ColumnMetaData.AvaticaType componentType, Cursor.Accessor componentAccessor, AbstractCursor.SlotGetter componentSlotGetter, ArrayImpl.Factory factory)

## Method Details

### getObject

public Object getObject() throws SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getArray

public Array getArray() throws SQLException

Specified by:
  `getArray` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getString

public String getString() throws SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### wasNull

public boolean wasNull() throws SQLException

Specified by:
  `wasNull` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getBoolean

public boolean getBoolean() throws SQLException

Specified by:
  `getBoolean` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getByte

public byte getByte() throws SQLException

Specified by:
  `getByte` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getShort

public short getShort() throws SQLException

Specified by:
  `getShort` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getInt

public int getInt() throws SQLException

Specified by:
  `getInt` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getLong

public long getLong() throws SQLException

Specified by:
  `getLong` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getFloat

public float getFloat() throws SQLException

Specified by:
  `getFloat` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getDouble

public double getDouble() throws SQLException

Specified by:
  `getDouble` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal() throws SQLException

Specified by:
  `getBigDecimal` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int scale) throws SQLException

Specified by:
  `getBigDecimal` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getBytes

public byte[] getBytes() throws SQLException

Specified by:
  `getBytes` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getAsciiStream

public InputStream getAsciiStream() throws SQLException

Specified by:
  `getAsciiStream` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getUnicodeStream

public InputStream getUnicodeStream() throws SQLException

Specified by:
  `getUnicodeStream` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream() throws SQLException

Specified by:
  `getBinaryStream` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream() throws SQLException

Specified by:
  `getCharacterStream` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getObject

public Object getObject(Map<String,Class<?>> map) throws SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getRef

public Ref getRef() throws SQLException

Specified by:
  `getRef` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getBlob

public Blob getBlob() throws SQLException

Specified by:
  `getBlob` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getClob

public Clob getClob() throws SQLException

Specified by:
  `getClob` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getStruct

public Struct getStruct() throws SQLException

Specified by:
  `getStruct` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getDate

public Date getDate(Calendar calendar) throws SQLException

Specified by:
  `getDate` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getTime

public Time getTime(Calendar calendar) throws SQLException

Specified by:
  `getTime` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(Calendar calendar) throws SQLException

Specified by:
  `getTimestamp` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getURL

public URL getURL() throws SQLException

Specified by:
  `getURL` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getNClob

public NClob getNClob() throws SQLException

Specified by:
  `getNClob` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getSQLXML

public SQLXML getSQLXML() throws SQLException

Specified by:
  `getSQLXML` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getNString

public String getNString() throws SQLException

Specified by:
  `getNString` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getNCharacterStream

public Reader getNCharacterStream() throws SQLException

Specified by:
  `getNCharacterStream` in interface `Cursor.Accessor`
Throws:
  `SQLException`

### getObject

public <T> T getObject(Class<T> type) throws SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Throws:
  `SQLException`